@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html,
body {
  width: 100%;
  min-height: 100%;
}

body {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  background-color: $color-bg;
}

.container {
  position: relative;
  width: 200px;
  height: 200px;
  margin: 50px 100px;
  outline: 1px solid rgba($color-white, .1);
  outline-offset: 20px;
}

.box {
  position: absolute;
  top: 0;
  left: 0;
  width: 50px;
  height: 50px;
  animation: box 4s ease-in-out 0s infinite normal forwards;

  &:nth-child(2) {
    animation-delay: -2s;
  }
}

@keyframes box {
  0%,
  100% {
    top: 0;
    left: 0;
    background-color: $color-1;
    transform: scale(1, 1);
  }

  12.5% {
    transform: scale(3, 1);
  }

  25% {
    top: 0;
    left: 150px;
    background-color: $color-2;
    transform: scale(1, 1);
  }

  37.5% {
    transform: scale(1, 3);
  }

  50% {
    top: 150px;
    left: 150px;
    background-color: $color-3;
    transform: scale(1, 1);
  }

  62.5% {
    transform: scale(3, 1);
  }

  75% {
    top: 150px;
    left: 0;
    background-color: $color-4;
    transform: scale(1, 1);
  }

  87.5% {
    transform: scale(1, 3);
  }
}
